# Uses of Interface
org.codehaus.commons.compiler.IExpressionEvaluator

Packages that use IExpressionEvaluator
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IExpressionEvaluator in org.codehaus.commons.compiler

Methods in org.codehaus.commons.compiler that return IExpressionEvaluator
Modifier and Type
Method
Description
`IExpressionEvaluator`
AbstractCompilerFactory.`newExpressionEvaluator()`
`IExpressionEvaluator`
ICompilerFactory.`newExpressionEvaluator()`

## Uses of IExpressionEvaluator in org.codehaus.commons.compiler.jdk

Classes in org.codehaus.commons.compiler.jdk that implement IExpressionEvaluator
Modifier and Type
Class
Description
`class`
`ExpressionEvaluator`
This `IExpressionEvaluator` is implemented by creating and compiling a temporary compilation unit defining one class with one static method with one RETURN statement.
Methods in org.codehaus.commons.compiler.jdk that return IExpressionEvaluator
Modifier and Type
Method
Description
`IExpressionEvaluator`
CompilerFactory.`newExpressionEvaluator()`

## Uses of IExpressionEvaluator in org.codehaus.janino

Classes in org.codehaus.janino that implement IExpressionEvaluator
Modifier and Type
Class
Description
`class`
`ExpressionEvaluator`
This `IExpressionEvaluator` is implemented by creating and compiling a temporary compilation unit defining one class with one static method with one RETURN statement.
Methods in org.codehaus.janino that return IExpressionEvaluator
Modifier and Type
Method
Description
`IExpressionEvaluator`
CompilerFactory.`newExpressionEvaluator()`